<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::MeshCoP::ActiveDataset Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('de/d14/classThread_1_1MeshCoP_1_1ActiveDataset.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d9/d3c/classThread_1_1MeshCoP_1_1ActiveDataset-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::MeshCoP::ActiveDataset Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Thread::MeshCoP::ActiveDataset:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d50/classThread_1_1MeshCoP_1_1ActiveDataset__inherit__graph.png" border="0" usemap="#Thread_1_1MeshCoP_1_1ActiveDataset_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1MeshCoP_1_1ActiveDataset_inherit__map" id="Thread_1_1MeshCoP_1_1ActiveDataset_inherit__map">
<area shape="rect" id="node2" href="../../d8/dc7/classThread_1_1MeshCoP_1_1DatasetManager.html" title="Thread::MeshCoP::Dataset\lManager" alt="" coords="23,5,206,44"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::MeshCoP::ActiveDataset:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/d3b/classThread_1_1MeshCoP_1_1ActiveDataset__coll__graph.png" border="0" usemap="#Thread_1_1MeshCoP_1_1ActiveDataset_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1MeshCoP_1_1ActiveDataset_coll__map" id="Thread_1_1MeshCoP_1_1ActiveDataset_coll__map">
<area shape="rect" id="node2" href="../../d8/dc7/classThread_1_1MeshCoP_1_1DatasetManager.html" title="Thread::MeshCoP::Dataset\lManager" alt="" coords="1671,118,1854,156"/>
<area shape="rect" id="node3" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html" title="Thread::MeshCoP::Dataset" alt="" coords="1354,74,1537,99"/>
<area shape="rect" id="node4" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html" title="This class implements the Thread Network Data maintained by the Leader. " alt="" coords="988,87,1136,126"/>
<area shape="rect" id="node7" href="../../dd/ddf/classThread_1_1Mle_1_1Mle.html" title="This class implements MLE functionality required by the Thread EndDevices, Router, and Leader roles. " alt="" coords="1385,336,1506,362"/>
<area shape="rect" id="node5" href="../../d2/d66/classThread_1_1NetworkData_1_1NetworkData.html" title="This class implements Network Data processing. " alt="" coords="1973,204,2121,243"/>
<area shape="rect" id="node6" href="../../df/da5/classThread_1_1Mle_1_1MleRouter.html" title="This class implements MLE functionality required by the Thread Router and Leader roles. " alt="" coords="1681,303,1843,328"/>
<area shape="rect" id="node8" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. " alt="" coords="1006,479,1117,504"/>
<area shape="rect" id="node9" href="../../da/dd9/classThread_1_1Neighbor.html" title="This class represents a Thread neighbor. " alt="" coords="639,479,764,504"/>
<area shape="rect" id="node10" href="../../dd/d38/classThread_1_1LinkQualityInfo.html" title="This class encapsulates/stores all relevant information about quality of a link, including average re..." alt="" coords="348,442,508,467"/>
<area shape="rect" id="node11" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html" title="This structure represents an IEEE 802.15.4 Extended Address. " alt="" coords="342,510,514,535"/>
<area shape="rect" id="node12" href="../../d3/d8f/structotExtAddress.html" title="This type represents the IEEE 802.15.4 Extended Address. " alt="" coords="41,510,142,535"/>
<area shape="rect" id="node13" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html" title="Thread::MeshCoP::JoinerRouter" alt="" coords="955,580,1168,606"/>
<area shape="rect" id="node14" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html" title="This class implements the IEEE 802.15.4 MAC. " alt="" coords="997,630,1126,655"/>
<area shape="rect" id="node15" href="../../d6/d3f/structotEnergyScanResult.html" title="This struct represents an energy scan result. " alt="" coords="630,607,773,632"/>
<area shape="rect" id="node16" href="../../d5/d19/classThread_1_1Mac_1_1Frame.html" title="This class implements IEEE 802.15.4 MAC frame generation and parsing. " alt="" coords="631,656,773,682"/>
<area shape="rect" id="node17" href="../../db/ddc/structRadioPacket.html" title="This structure represents an IEEE 802.15.4 radio frame. " alt="" coords="380,656,477,682"/>
<area shape="rect" id="node18" href="../../dd/d1d/classThread_1_1MeshForwarder.html" title="This class implements mesh forwarding within Thread. " alt="" coords="980,171,1144,196"/>
<area shape="rect" id="node19" href="../../d4/dcf/classThread_1_1AddressResolver.html" title="This class implements the EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="976,282,1148,307"/>
<area shape="rect" id="node20" href="../../d3/d8e/classThread_1_1ThreadNetif.html" title="Thread::ThreadNetif" alt="" coords="991,227,1132,252"/>
<area shape="rect" id="node21" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html" title="This class implements an IPv6 network interface. " alt="" coords="639,227,764,252"/>
<area shape="rect" id="node22" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html" title="This class implements the core IPv6 message processing. " alt="" coords="370,227,486,252"/>
<area shape="rect" id="node23" href="../../d8/de8/classThread_1_1TaskletScheduler.html" title="This class implements the tasklet scheduler. " alt="" coords="5,178,178,203"/>
<area shape="rect" id="node24" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html" title="This class implements ICMPv6. " alt="" coords="29,227,155,252"/>
<area shape="rect" id="node25" href="../../dd/d60/classThread_1_1Ip6_1_1Mpl.html" title="This class implements MPL message processing. " alt="" coords="32,276,151,302"/>
<area shape="rect" id="node26" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html" title="This class implements core UDP message handling. " alt="" coords="31,326,152,351"/>
<area shape="rect" id="node27" href="../../d5/d9f/classThread_1_1MessagePool.html" title="Thread::MessagePool" alt="" coords="16,375,167,400"/>
<area shape="rect" id="node28" href="../../db/ddb/classThread_1_1Ip6_1_1Routes.html" title="This class implements IPv6 route management. " alt="" coords="22,79,161,104"/>
<area shape="rect" id="node29" href="../../df/d1f/classThread_1_1TimerScheduler.html" title="This class implements the timer scheduler. " alt="" coords="9,128,174,154"/>
<area shape="rect" id="node30" href="../../d1/d40/classThread_1_1Timer.html" title="This class implements a timer. " alt="" coords="1010,380,1114,406"/>
<area shape="rect" id="node31" href="../../d5/d64/classThread_1_1Mle_1_1LeaderDataTlv.html" title="This class implements Source Address TLV generation and parsing. " alt="" coords="968,430,1155,455"/>
<area shape="rect" id="node32" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html" title="This class implements MLE TLV generation and parsing. " alt="" coords="643,430,760,455"/>
<area shape="rect" id="node33" href="../../d6/d44/classThread_1_1KeyManager.html" title="Thread::KeyManager" alt="" coords="988,331,1135,356"/>
<area shape="rect" id="node34" href="../../de/d76/classThread_1_1Coap_1_1Server.html" title="This class implements the CoAP server. " alt="" coords="1370,24,1520,50"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a11cab5fbd170977b494a7cb315f39ab0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a11cab5fbd170977b494a7cb315f39ab0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>ActiveDataset</b> (<a class="el" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;aThreadNetif)</td></tr>
<tr class="separator:a11cab5fbd170977b494a7cb315f39ab0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaee9b91717f7496d6132a16b252e0f7e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaee9b91717f7496d6132a16b252e0f7e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>StartLeader</b> (void)</td></tr>
<tr class="separator:aaee9b91717f7496d6132a16b252e0f7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a840c1598b4273d1ad029913143136a9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a840c1598b4273d1ad029913143136a9b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>StopLeader</b> (void)</td></tr>
<tr class="separator:a840c1598b4273d1ad029913143136a9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a5256f5f70d613d4304d9ab31a6d8a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4a5256f5f70d613d4304d9ab31a6d8a8"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Clear</b> (void)</td></tr>
<tr class="separator:a4a5256f5f70d613d4304d9ab31a6d8a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaff111fc5625338af4d98184b4ecc806"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaff111fc5625338af4d98184b4ecc806"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Set</b> (const <a class="el" href="../../d5/d59/structotOperationalDataset.html">otOperationalDataset</a> &amp;aDataset)</td></tr>
<tr class="separator:aaff111fc5625338af4d98184b4ecc806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb28aec3a017f24cdfd40d95feffab5f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb28aec3a017f24cdfd40d95feffab5f"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Set</b> (const <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a> &amp;aDataset)</td></tr>
<tr class="separator:adb28aec3a017f24cdfd40d95feffab5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4be3dc57a5e1452ff601fb6f3a2209e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4be3dc57a5e1452ff601fb6f3a2209e"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Set</b> (const <a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html">Timestamp</a> &amp;aTimestamp, const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, uint16_t aOffset, uint8_t aLength)</td></tr>
<tr class="separator:ab4be3dc57a5e1452ff601fb6f3a2209e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03943c3729d022d299108145c607d8af"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03943c3729d022d299108145c607d8af"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>ApplyConfiguration</b> (void)</td></tr>
<tr class="separator:a03943c3729d022d299108145c607d8af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classThread_1_1MeshCoP_1_1DatasetManager')"><img src="../../closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="../../d8/dc7/classThread_1_1MeshCoP_1_1DatasetManager.html">Thread::MeshCoP::DatasetManager</a></td></tr>
<tr class="memitem:a394c1067f95ae43e65c3116b8720f93c inherit pub_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a394c1067f95ae43e65c3116b8720f93c"></a>
<a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetLocal</b> (void)</td></tr>
<tr class="separator:a394c1067f95ae43e65c3116b8720f93c inherit pub_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab739dc432acb0c4b23ba5a27b658c865 inherit pub_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab739dc432acb0c4b23ba5a27b658c865"></a>
<a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetNetwork</b> (void)</td></tr>
<tr class="separator:ab739dc432acb0c4b23ba5a27b658c865 inherit pub_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6d4ecd16b95683a26d8ca91bb6364d3 inherit pub_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac6d4ecd16b95683a26d8ca91bb6364d3"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>SendSetRequest</b> (const <a class="el" href="../../d5/d59/structotOperationalDataset.html">otOperationalDataset</a> &amp;aDataset, const uint8_t *aTlvs, uint8_t aLength)</td></tr>
<tr class="separator:ac6d4ecd16b95683a26d8ca91bb6364d3 inherit pub_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31e60dd7efe47f6fb34a868fde33b260 inherit pub_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31e60dd7efe47f6fb34a868fde33b260"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>SendGetRequest</b> (const uint8_t *aTlvTypes, uint8_t aLength)</td></tr>
<tr class="separator:a31e60dd7efe47f6fb34a868fde33b260 inherit pub_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_types_classThread_1_1MeshCoP_1_1DatasetManager"><td colspan="2" onclick="javascript:toggleInherit('pro_types_classThread_1_1MeshCoP_1_1DatasetManager')"><img src="../../closed.png" alt="-"/>&#160;Protected Types inherited from <a class="el" href="../../d8/dc7/classThread_1_1MeshCoP_1_1DatasetManager.html">Thread::MeshCoP::DatasetManager</a></td></tr>
<tr class="memitem:abb87201557da8cde886e8438d324eeb2 inherit pro_types_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb87201557da8cde886e8438d324eeb2"></a>enum &#160;</td><td class="memItemRight" valign="bottom">{ <br />
&#160;&#160;<b>kFlagLocalUpdated</b> = 1 &lt;&lt; 0, 
<br />
&#160;&#160;<b>kFlagNetworkUpdated</b> = 1 &lt;&lt; 1
<br />
 }</td></tr>
<tr class="separator:abb87201557da8cde886e8438d324eeb2 inherit pro_types_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classThread_1_1MeshCoP_1_1DatasetManager')"><img src="../../closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="../../d8/dc7/classThread_1_1MeshCoP_1_1DatasetManager.html">Thread::MeshCoP::DatasetManager</a></td></tr>
<tr class="memitem:a03fc94724bd98beff24d400c10deb0f1 inherit pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03fc94724bd98beff24d400c10deb0f1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>DatasetManager</b> (<a class="el" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;aThreadNetif, const <a class="el" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Tlv::Type</a> aType, const char *aUriSet, const char *aUriGet)</td></tr>
<tr class="separator:a03fc94724bd98beff24d400c10deb0f1 inherit pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addc7ee2b3afb3a16c84d49cefea30f34 inherit pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="addc7ee2b3afb3a16c84d49cefea30f34"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Clear</b> (uint8_t &amp;aFlags)</td></tr>
<tr class="separator:addc7ee2b3afb3a16c84d49cefea30f34 inherit pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1271c7558a7650acd5b5e921afc9ca47 inherit pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1271c7558a7650acd5b5e921afc9ca47"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Set</b> (const <a class="el" href="../../d5/d59/structotOperationalDataset.html">otOperationalDataset</a> &amp;aDataset, uint8_t &amp;aFlags)</td></tr>
<tr class="separator:a1271c7558a7650acd5b5e921afc9ca47 inherit pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6a28d9711d7e1e998ec644547377da4 inherit pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae6a28d9711d7e1e998ec644547377da4"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Set</b> (const <a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a> &amp;aDataset, uint8_t &amp;aFlags)</td></tr>
<tr class="separator:ae6a28d9711d7e1e998ec644547377da4 inherit pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac567726707e00ad0776dad4fa9d5c2aa inherit pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac567726707e00ad0776dad4fa9d5c2aa"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Set</b> (const <a class="el" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html">Timestamp</a> &amp;aTimestamp, const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, uint16_t aOffset, uint8_t aLength, uint8_t &amp;aFlags)</td></tr>
<tr class="separator:ac567726707e00ad0776dad4fa9d5c2aa inherit pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1db2bc14db7d8992b5a5992b07137d21 inherit pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1db2bc14db7d8992b5a5992b07137d21"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Get</b> (<a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aHeader, <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, const <a class="el" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo)</td></tr>
<tr class="separator:a1db2bc14db7d8992b5a5992b07137d21 inherit pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5406e71b3871c8f2bc7cb3312750722a inherit pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5406e71b3871c8f2bc7cb3312750722a"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Set</b> (<a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aHeader, <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, const <a class="el" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo)</td></tr>
<tr class="separator:a5406e71b3871c8f2bc7cb3312750722a inherit pro_methods_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classThread_1_1MeshCoP_1_1DatasetManager"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classThread_1_1MeshCoP_1_1DatasetManager')"><img src="../../closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="../../d8/dc7/classThread_1_1MeshCoP_1_1DatasetManager.html">Thread::MeshCoP::DatasetManager</a></td></tr>
<tr class="memitem:af5566c9c829ef8f1b1037279bc784ce8 inherit pro_attribs_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af5566c9c829ef8f1b1037279bc784ce8"></a>
<a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mLocal</b></td></tr>
<tr class="separator:af5566c9c829ef8f1b1037279bc784ce8 inherit pro_attribs_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a853933cd8c343927f4716302d0adab1e inherit pro_attribs_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a853933cd8c343927f4716302d0adab1e"></a>
<a class="el" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mNetwork</b></td></tr>
<tr class="separator:a853933cd8c343927f4716302d0adab1e inherit pro_attribs_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc91563a46b79d49bb854fe7e27671ba inherit pro_attribs_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adc91563a46b79d49bb854fe7e27671ba"></a>
<a class="el" href="../../de/d76/classThread_1_1Coap_1_1Server.html">Coap::Server</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>mCoapServer</b></td></tr>
<tr class="separator:adc91563a46b79d49bb854fe7e27671ba inherit pro_attribs_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae46a8cb0a44125263571920b06f1e0bb inherit pro_attribs_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae46a8cb0a44125263571920b06f1e0bb"></a>
<a class="el" href="../../dd/ddf/classThread_1_1Mle_1_1Mle.html">Mle::Mle</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>mMle</b></td></tr>
<tr class="separator:ae46a8cb0a44125263571920b06f1e0bb inherit pro_attribs_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aa7da9b70f8bbb1946ddcfbaf84c095 inherit pro_attribs_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8aa7da9b70f8bbb1946ddcfbaf84c095"></a>
<a class="el" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>mNetif</b></td></tr>
<tr class="separator:a8aa7da9b70f8bbb1946ddcfbaf84c095 inherit pro_attribs_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa107045ea093bd42d12a89cfd915ea77 inherit pro_attribs_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa107045ea093bd42d12a89cfd915ea77"></a>
<a class="el" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html">NetworkData::Leader</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>mNetworkDataLeader</b></td></tr>
<tr class="separator:aa107045ea093bd42d12a89cfd915ea77 inherit pro_attribs_classThread_1_1MeshCoP_1_1DatasetManager"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/core/thread/<a class="el" href="../../d2/d1d/meshcop__dataset__manager_8hpp_source.html">meshcop_dataset_manager.hpp</a></li>
<li>src/core/thread/<a class="el" href="../../df/d42/meshcop__dataset__manager_8cpp.html">meshcop_dataset_manager.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><b>MeshCoP</b></li><li class="navelem"><a class="el" href="../../de/d14/classThread_1_1MeshCoP_1_1ActiveDataset.html">ActiveDataset</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
